﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.IO;
namespace _340326_MediaPlayerExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void xMediaPlayer_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            if (fileStream != null)
            {
                xMediaPlayer.MediaElement.Stop();
                xMediaPlayer.MediaElement.AutoPlay = false;
                xMediaPlayer.MediaElement.SetSource(fileStream);
                xMediaPlayer.SizeChanged -= xMediaPlayer_SizeChanged;
            }
        }
        Stream fileStream;
        private void OpenFile(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            if (openFileDialog1.ShowDialog() == true)
            {
                fileStream = openFileDialog1.File.OpenRead();
            }

            xMediaPlayer.Visibility = Visibility.Visible;
            if (xMediaPlayer.MediaElement != null)
            {
                xMediaPlayer.MediaElement.Stop();
                xMediaPlayer.MediaElement.AutoPlay = false;
                xMediaPlayer.MediaElement.SetSource(fileStream);
            }
        }

    }
}
